ru.bitel.bgbilling.modules.tv.runtime

## Class TvAccountRuntime

- java.lang.Object
- - ru.bitel.bgbilling.modules.tv.runtime.TvAccountRuntime

- Direct Known Subclasses:
    TvAccountRuntimeRoot

      public abstract class TvAccountRuntime
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ru.bitel.common.util.SetCache<java.lang.Integer>` | `DEVICE_OPTIONS_SET_CACHE`
    `int` | `tvAccountId`
    `java.util.concurrent.atomic.AtomicReference<TvAccountSpecRuntime>` | `tvAccountSpecRef` Ссылка на InetServType.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TvAccountRuntime(int tvAccountId, java.util.concurrent.atomic.AtomicReference<TvAccountSpecRuntime> servTypeRef, TvAccountRuntime parent)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ParameterMap` | `getConfig()`
    `abstract ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntime` | `getContractRuntime()`
    `ru.bitel.bgbilling.kernel.contract.status.server.ContractStatusList` | `getContractSuspendPeriods()`
    `long` | `getDateFromMillis()`
    `long` | `getDateToMillis()`
    `TvAccount` | `getParentTvAccount(TvApplication application)` Возвращает родителский inetServ, если таковой имеется, иначе - `#getParentInetServ(TvApplication)` == `#getInetServ()`
    `TvAccountRuntime` | `getParentTvAccountRuntime(TvApplication application)`
    `abstract ru.bitel.oss.systems.inventory.product.server.ProductPeriodRuntimeList` | `getProductPeriodRuntimeList()`
    `abstract ProductRuntimeList` | `getProductRuntimeList()`
    `abstract ServiceRuntimeList` | `getServiceRuntimeList()`
    `abstract ru.bitel.bgbilling.kernel.tariff.tree.server.TariffModuleTreeSet` | `getTariffTreeSet()`
    `TvAccount` | `getTvAccount()`
    `boolean` | `isCreated()`
    `abstract boolean` | `isHeldByCurrentThread()`
    `abstract void` | `lock()`
    `void` | `setCreated(boolean created)`
    `void` | `setDateFromMillis(long dateFromMillis)`
    `void` | `setDateToMillis(long dateToMillis)`
    `void` | `setDeviceStateAndOptionIds(java.lang.String deviceAccountId, short deviceState, java.util.Set<java.lang.Integer> deviceOptionIds)`
    `java.lang.String` | `toString()`
    `abstract boolean` | `tryLock()`
    `abstract boolean` | `tryLock(long timeout, java.util.concurrent.TimeUnit unit)`
    `abstract void` | `unlock()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEVICE_OPTIONS_SET_CACHE

          public static final ru.bitel.common.util.SetCache<java.lang.Integer> DEVICE_OPTIONS_SET_CACHE

    - #### tvAccountId

          public final int tvAccountId

    - #### tvAccountSpecRef

          public final java.util.concurrent.atomic.AtomicReference<TvAccountSpecRuntime> tvAccountSpecRef

      Ссылка на InetServType.

  - ### Constructor Detail

    - #### TvAccountRuntime

          public TvAccountRuntime(int tvAccountId,
                                  java.util.concurrent.atomic.AtomicReference<TvAccountSpecRuntime> servTypeRef,
                                  TvAccountRuntime parent)

  - ### Method Detail

    - #### getContractRuntime

          public abstract ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntime getContractRuntime()

    - #### getTariffTreeSet

          public abstract ru.bitel.bgbilling.kernel.tariff.tree.server.TariffModuleTreeSet getTariffTreeSet()

    - #### getProductRuntimeList

          public abstract ProductRuntimeList getProductRuntimeList()

    - #### getProductPeriodRuntimeList

          public abstract ru.bitel.oss.systems.inventory.product.server.ProductPeriodRuntimeList getProductPeriodRuntimeList()

    - #### getServiceRuntimeList

          public abstract ServiceRuntimeList getServiceRuntimeList()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getConfig

          public ParameterMap getConfig()

    - #### setDeviceStateAndOptionIds

          public void setDeviceStateAndOptionIds(java.lang.String deviceAccountId,
                                                 short deviceState,
                                                 java.util.Set<java.lang.Integer> deviceOptionIds)

    - #### getTvAccount

          public TvAccount getTvAccount()

    - #### getParentTvAccount

          public TvAccount getParentTvAccount(TvApplication application)

      Возвращает родителский inetServ, если таковой имеется, иначе - `#getParentInetServ(TvApplication)` == `#getInetServ()`
      Parameters:
        `application` -
      Returns:

    - #### getParentTvAccountRuntime

          public TvAccountRuntime getParentTvAccountRuntime(TvApplication application)

    - #### getContractSuspendPeriods

          public ru.bitel.bgbilling.kernel.contract.status.server.ContractStatusList getContractSuspendPeriods()

    - #### lock

          public abstract void lock()

    - #### tryLock

          public abstract boolean tryLock()

    - #### tryLock

          public abstract boolean tryLock(long timeout,
                                          java.util.concurrent.TimeUnit unit)
                                   throws java.lang.InterruptedException

      Throws:
        `java.lang.InterruptedException`

    - #### unlock

          public abstract void unlock()

    - #### isHeldByCurrentThread

          public abstract boolean isHeldByCurrentThread()

    - #### getDateFromMillis

          public long getDateFromMillis()

    - #### setDateFromMillis

          public void setDateFromMillis(long dateFromMillis)

    - #### getDateToMillis

          public long getDateToMillis()

    - #### setDateToMillis

          public void setDateToMillis(long dateToMillis)

    - #### isCreated

          public boolean isCreated()

    - #### setCreated

          public void setCreated(boolean created)